Delete mcp servers/item
curl --request DELETE \
--url https://api.callaro.ai/api/v1/mcp-servers/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.callaro.ai/api/v1/mcp-servers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/mcp-servers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"tenant_id": "<string>",
"name": "<string>",
"url": "<string>",
"timeout_ms": "<string>",
"headers": "<string>",
"query_params": "<string>",
"auth_type": "<string>",
"auth_header_name": "<string>",
"auth_param_name": "<string>",
"auth_value_stored": "<string>",
"server_enabled_tools": "<string>",
"tools_discovered_at": "<string>",
"active": "<string>",
"created_by": "<string>",
"last_modified_by": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}McpServers
Delete mcp servers/item
From api/v1/tenant_mcp_servers#destroy in voice_saas_api. Fields come from that action’s strong params / params usage.
DELETE
/
api
/
v1
/
mcp-servers
/
{id}
Delete mcp servers/item
curl --request DELETE \
--url https://api.callaro.ai/api/v1/mcp-servers/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.callaro.ai/api/v1/mcp-servers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/mcp-servers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"tenant_id": "<string>",
"name": "<string>",
"url": "<string>",
"timeout_ms": "<string>",
"headers": "<string>",
"query_params": "<string>",
"auth_type": "<string>",
"auth_header_name": "<string>",
"auth_param_name": "<string>",
"auth_value_stored": "<string>",
"server_enabled_tools": "<string>",
"tools_discovered_at": "<string>",
"active": "<string>",
"created_by": "<string>",
"last_modified_by": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Authorizations
bearerAuthtenantApiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional tenant context selector for JWT/partner key callers.
Path Parameters
Was this page helpful?